=== debian/changelog ===
poco (1.7.6+dfsg1-5+deb9u1) stretch-security; urgency=high

  * Add backported patch for CVE-2017-1000472

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 09 Jan 2018 21:58:15 +0100

poco (1.7.6+dfsg1-5) unstable; urgency=medium

  * Add missing dependencies (Closes: #861682)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 02 May 2017 22:00:07 +0200

poco (1.7.6+dfsg1-4) unstable; urgency=medium

  * Fix unit tests (Closes: #843225)
  * Disable return value of unit tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 07 Nov 2016 08:41:36 +0100

poco (1.7.6+dfsg1-3) unstable; urgency=medium

  * Upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 22:15:43 +0100

poco (1.7.6+dfsg1-2) experimental; urgency=medium

  * Bring back ODBC dir

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 12:22:04 +0100

poco (1.7.6+dfsg1-1) experimental; urgency=medium

  * Update watch file
  * New upstream version 1.7.6+dfsg1 (Closes: #832340, #671477, #677039,
    #786498)
  * rebase patches
  * Remove dbg packages
  * Remove replaces for libpoco5-dev (package not even in old-stable)
  * Move to debhelper compat 10
  * Update standards version (no changes needed)
  * Update homepage and vcs tags (Closes: #803642)
  * Update build dependencies
  * Update lib names due to Soname change
  * Add new libraries
  * Update copyright file
  * Remove JSON lib, as it's not DFSG-complaint
  * Add lintian overrides
  * Add patch for OpenSSL 1.1.0 (Closes: #828507)
  * Add myself to uploaders

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 02 Nov 2016 08:23:48 +0100

poco (1.4.6p1-1) experimental; urgency=low

  * New Upstream version 1.4.6p1
  * debian/patches: refresh patches.
  * debian/patches: reintroduce fix-odbc-makefile.patch,
    it seems to be still needed.

 -- Cristian Greco <cristian@debian.org>  Sun, 26 May 2013 15:45:51 +0200

poco (1.4.6-1) experimental; urgency=low

  [ Patrick Gansterer ]
  * New Upstream Version
  * debian/patches:
    - fix-odbc-makefile.patch: drop patch, merged upstream

  [ Cristian Greco ]
  * patches/fix-odbc-makefile.patch: really drop the patch.

 -- Cristian Greco <cristian@debian.org>  Sat, 11 May 2013 18:36:03 +0200
