=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1" \
https://pocoproject.org/releases/poco-([\.\d]+)/poco-([\.\d]+)-all.tar.bz2
